> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Health Agencies



## OpenAPI

````yaml /api-reference/openapi.json get /germany/healthagencies
openapi: 3.1.0
info:
  title: Intermezzo Global Payroll
  summary: Global Payroll Platform
  description: Intermezzo's global payroll apis, organized by country
  version: 1.0.0
  x-logo:
    url: /static/icon.svg
servers:
  - url: https://sandbox.intermezzo.ai
    description: Sandbox
security: []
paths:
  /germany/healthagencies:
    get:
      tags:
        - Germany Paycheck Calculator
      summary: List Health Agencies
      operationId: list_health_agencies_germany_healthagencies_get
      parameters:
        - name: agencyId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by agency ID
            title: Agencyid
          description: Filter by agency ID
        - name: agencyCode
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by agency code
            title: Agencycode
          description: Filter by agency code
        - name: fundType
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by fund type
            title: Fundtype
          description: Filter by fund type
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HealthAgenciesResponse'
                title: Response List Health Agencies Germany Healthagencies Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    HealthAgenciesResponse:
      properties:
        agency:
          $ref: '#/components/schemas/HealthAgency'
        umlage:
          items:
            $ref: '#/components/schemas/UmlageRates'
          type: array
          title: Umlage
      additionalProperties: false
      type: object
      required:
        - agency
        - umlage
      title: HealthAgenciesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HealthAgency:
      properties:
        agencyId:
          type: string
          title: Agencyid
          examples:
            - '123'
        agencyCode:
          type: string
          title: Agencycode
          examples:
            - AOK01
        fundType:
          anyOf:
            - $ref: '#/components/schemas/FundType'
            - type: 'null'
          examples:
            - AOK
        shortName:
          anyOf:
            - type: string
            - type: 'null'
          title: Shortname
          examples:
            - AOK Bayern
        fullName:
          anyOf:
            - type: string
            - type: 'null'
          title: Fullname
          examples:
            - AOK Bremen/Bremerhaven
        additionalContributionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Additionalcontributionrate
          examples:
            - '0.0270'
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
          examples:
            - Deutsche Bank
        iban:
          anyOf:
            - type: string
            - type: 'null'
          title: Iban
          examples:
            - DE89370400440532013000
        bic:
          anyOf:
            - type: string
            - type: 'null'
          title: Bic
          examples:
            - COBADEFFXXX
        creditorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creditorid
          examples:
            - DE98ZZZ09999999999
      additionalProperties: false
      type: object
      required:
        - agencyId
        - agencyCode
      title: HealthAgency
    UmlageRates:
      properties:
        levyId:
          anyOf:
            - type: integer
            - type: 'null'
          title: Levyid
          examples:
            - 1
        levyType:
          type: string
          title: Levytype
          examples:
            - U1_1
        reimbursementRate:
          type: integer
          title: Reimbursementrate
          examples:
            - 70
        contributionRate:
          type: string
          title: Contributionrate
          examples:
            - '0.024'
      additionalProperties: false
      type: object
      required:
        - levyType
        - reimbursementRate
        - contributionRate
      title: UmlageRates
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FundType:
      type: string
      enum:
        - AOK
        - BKK
        - Ersatzkassen
        - IKK
        - Knappschaft
        - SVLFG
        - Umlagekasse
      title: FundType
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer

````